﻿* Encoding: UTF-8.
* Creating group-mean (person-mean) centered variables.

define group_cvars( group = !charend('/')
                     /vlist   = !charend('/')
                     /suffix = !cmdend ) 

!do !vname !in (!vlist) 
!let !nname = !concat(!vname, !suffix)
aggregate
 /outfile=* mode=addvariables overwrite = yes
 /break =!group
 /y_temp=mean(!vname).

compute !nname = !vname - y_temp.
exe.
!doend
 
delete variables y_temp.
!enddefine.
group_cvars group = id
       /vlist  =  x1 x2
       /suffix = _g.

* Creating grand-mean centered variables.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=id
  /x1_m=MEAN(x1) 
  /x2_m=MEAN(x2).


define grand_cvars( vlist   = !charend('/')
                    /suffix = !cmdend ) 

compute one_temp = 1.
exe.

!do !vname !in (!vlist) 
!let !nname = !concat(!vname, !suffix)
aggregate
 /outfile=* mode=addvariables overwrite = yes
 /break =one_temp
 /y_temp=mean(!vname).

compute !nname = !vname - y_temp.
exe.

!doend
delete variables y_temp one_temp.
!enddefine. 

grand_cvars  vlist = x1_m x2_m 
       /suffix = _c.
